Page MenuHomePhabricator

Introduce a setting for allowing article placeholders to be indexed by search engines
Closed, ResolvedPublic

Description

We need a setting that allows us to enable indexing of article placeholders. This setting should allow indexing ("index,follow"), either for all placeholders (when set to true) or for all Entities up to a certain Id offset (for example the value Q3000 would allow indexing only Q1, Q2 … Q3000).

The robot policy can be set by overriding SpecialPage::getRobotPolicy in SpecialAboutTopic.

Event Timeline

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 5 2016, 11:03 AM
hoo removed Lucie as the assignee of this task.Oct 28 2016, 9:19 PM
hoo added a project: Ladies-That-FOSS-Wikidata.
hoo updated the task description. (Show Details)
hoo renamed this task from Make it possible to enable indexing for placeholders to Introduce a setting for allowing article placeholders to be indexed by search engines.Oct 28 2016, 9:35 PM
oschposch moved this task from To Do Next to Doing on the ArticlePlaceholder board.

Change 318680 had a related patch set uploaded (by Oschposch):
Allow indexing of article placeholders

https://gerrit.wikimedia.org/r/318680

hoo updated the task description. (Show Details)Oct 30 2016, 10:38 PM

Given that Wikidata is mainly indexed in English, this might be a good solution. Ideally it would be limited to placeholders with a sensible amount of statements and labels in the target language.

Change 318680 merged by jenkins-bot:
Allow indexing of article placeholders

https://gerrit.wikimedia.org/r/318680

hoo closed this task as Resolved.Jan 26 2017, 9:59 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Doing to Done on the ArticlePlaceholder board.

Resolving this is a huge step towards actually indexing placeholders… thanks for your help in solving this, @oschposch!